{
  "type" : "record",
  "name" : "SearchVariantsRequest",
  "namespace" : "org.ga4gh.methods",
  "doc" : "This request maps to the body of `POST /variants/search` as JSON.",
  "fields" : [ {
    "name" : "variantSetId",
    "type" : "string",
    "doc" : "The `VariantSet` to search."
  }, {
    "name" : "callSetIds",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "Only return variant calls which belong to call sets with these IDs.\n  If an empty array, returns variants without any call objects.\n  If null, returns all variant calls.",
    "default" : null
  }, {
    "name" : "referenceName",
    "type" : "string",
    "doc" : "Required. Only return variants on this reference."
  }, {
    "name" : "start",
    "type" : "long",
    "doc" : "Required. The beginning of the window (0-based, inclusive) for\n  which overlapping variants should be returned.\n  Genomic positions are non-negative integers less than reference length.\n  Requests spanning the join of circular genomes are represented as\n  two requests one on each side of the join (position 0)."
  }, {
    "name" : "end",
    "type" : "long",
    "doc" : "Required. The end of the window (0-based, exclusive) for which overlapping\n  variants should be returned."
  }, {
    "name" : "pageSize",
    "type" : [ "null", "int" ],
    "doc" : "Specifies the maximum number of results to return in a single page.\n  If unspecified, a system default will be used.",
    "default" : null
  }, {
    "name" : "pageToken",
    "type" : [ "null", "string" ],
    "doc" : "The continuation token, which is used to page through large result sets.\n  To get the next page of results, set this parameter to the value of\n  `nextPageToken` from the previous response.",
    "default" : null
  } ]
}
